Package org.eclipse.graphiti.features

## Interface IMoveConnectionDecoratorFeature

All Superinterfaces:
  `IDescription`, `IFeature`, `IFeatureProviderHolder`, `IMoveFeature`, `IName`

All Known Implementing Classes:
  `DefaultMoveConnectionDecoratorFeature`

    public interface IMoveConnectionDecoratorFeature
    extends IMoveFeature

The Interface IMoveConnectionDecoratorFeature. Moving shapes means to change their coordinates or/and their parent.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `canMoveConnectionDecorator​(IMoveConnectionDecoratorContext context)` Can move connection decorator.
`void` `moveConnectionDecorator​(IMoveConnectionDecoratorContext context)` Move connection decorator.

### Methods inherited from interface org.eclipse.graphiti.IDescription

`getDescription`

### Methods inherited from interface org.eclipse.graphiti.features.IFeature

`canExecute, canUndo, execute, hasDoneChanges, isAvailable`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

### Methods inherited from interface org.eclipse.graphiti.IName

`getName`

### Method Detail

#### canMoveConnectionDecorator

    boolean canMoveConnectionDecorator​(IMoveConnectionDecoratorContext context)

Can move connection decorator.

Parameters:
  `context` - the context
Returns:
  true, if successful

#### moveConnectionDecorator

    void moveConnectionDecorator​(IMoveConnectionDecoratorContext context)

Move connection decorator.

Parameters:
  `context` - the context